Batch Read Time Logs
curl --request POST \
--url https://api.threadi.au/stopwatch/v1/timelogs/batch/read \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"id": "1234567890"
}
],
"properties": [
"a552213_record_id",
"hubspot_owner_id",
"a552213_category_text"
],
"propertiesWithHistory": [
"a552213_record_id",
"hubspot_owner_id",
"a552213_category_text"
],
"idProperty": "a552213_record_id"
}
'import requests
url = "https://api.threadi.au/stopwatch/v1/timelogs/batch/read"
payload = {
"inputs": [{ "id": "1234567890" }],
"properties": ["a552213_record_id", "hubspot_owner_id", "a552213_category_text"],
"propertiesWithHistory": ["a552213_record_id", "hubspot_owner_id", "a552213_category_text"],
"idProperty": "a552213_record_id"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
inputs: [{id: '1234567890'}],
properties: ['a552213_record_id', 'hubspot_owner_id', 'a552213_category_text'],
propertiesWithHistory: ['a552213_record_id', 'hubspot_owner_id', 'a552213_category_text'],
idProperty: 'a552213_record_id'
})
};
fetch('https://api.threadi.au/stopwatch/v1/timelogs/batch/read', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"completedAt": "2026-03-25T06:01:32.819Z",
"results": [
{
"id": 1234567890,
"properties": {
"a552213_record_id": "998877 -- 2026-03-20 04:22:15.536",
"a552213_toggle": true,
"a552213_assoc_record_id": 9876543210,
"a552213_first_start_date": "2026-02-27T21:24:18.038Z",
"a552213_first_end_date": "2026-02-28T21:24:18.038Z",
"a552213_last_start_date": "2026-02-27T21:24:18.038Z",
"a552213_last_end_date": "2026-02-28T21:24:18.038Z",
"a552213_total_minutes": 1440,
"a552213_total_hours": 24,
"a552213_total_days": 1,
"a552213_total_years": 0.00273785,
"a552213_total_decades": 0.00027379,
"a552213_total_centuries": 0.00002738,
"a552213_num_sessions": 1,
"a552213_week_year": "2026-02-23T00:00:00.000Z",
"a552213_month_year": "2026-02-01T00:00:00.000Z",
"a552213_is_split_week_record": true,
"a552213_is_split_month_record": true,
"a552213_workflow_managed_tag": "example_tag",
"a552213_billable_minutes": 0,
"a552213_billable_hours": 0,
"a552213_billable_days": 0,
"a552213_billable_years": 0,
"a552213_billable_decades": 0,
"a552213_billable_centuries": 0,
"a552213_billable_amount": 0,
"a552213_cost_amount": 0,
"a552213_margin_amount": 0,
"a552213_is_one_time_log_per_session_record": true,
"a552213_category_text": "Meetings",
"a552213_description": "Meeting about Project XYZ",
"a552213_billable_percentage": 0,
"a552213_service_name": "Training",
"a552213_total_hours_auto": 0,
"a552213_total_days_auto": 0,
"a552213_total_years_auto": 0,
"a552213_total_decades_auto": 0,
"a552213_total_centuries_auto": 0,
"a552213_billable_hours_auto": 0,
"a552213_billable_days_auto": 0,
"a552213_billable_years_auto": 0,
"a552213_billable_decades_auto": 0,
"a552213_billable_centuries_auto": 0,
"a552213_billable_rate": 0,
"a552213_cost_rate": 0,
"a552213_billable_amount_auto": 0,
"a552213_cost_amount_auto": 0,
"a552213_margin_amount_auto": 0,
"a552213_title": "Training Session X",
"a552213_created_via_stopwatch_api": "true",
"a552213_last_updated_via_stopwatch_api": "1784160000000"
},
"createdAt": "2026-02-27T21:24:18.038Z",
"updatedAt": "2026-02-28T21:24:18.038Z",
"archived": true
}
],
"startedAt": "2026-03-25T06:01:32.757Z",
"status": "COMPLETE"
}{
"completedAt": "2026-03-25T05:55:26.329Z",
"errors": [
{
"category": "OBJECT_NOT_FOUND",
"context": {
"ids": [
"1111"
]
},
"message": "Could not get some null objects, they may be deleted or not exist. Check that ids are valid.",
"status": "error"
}
],
"numErrors": 1,
"results": [
{
"archived": false,
"createdAt": "2025-09-03T07:43:50.479Z",
"id": "151993156822",
"properties": {
"a3079614_assoc_record_id": "762476848343",
"a3079614_billable_hours": "4.00",
"hs_createdate": "2025-09-03T07:43:50.479Z",
"hs_lastmodifieddate": "2025-09-03T07:43:51.260Z",
"hs_object_id": "151993156822"
},
"updatedAt": "2025-09-03T07:43:51.260Z"
}
],
"startedAt": "2026-03-25T05:55:26.300Z",
"status": "COMPLETE"
}{
"error": "HubSpot API Error",
"details": "<hubspot error as string>"
}{
"error": "Invalid API key"
}{
"error": "API key has been deactivated"
}{
"error": "Daily quota exceeded",
"details": "This API key has reached its UTC daily request limit. Use response header x-stopwatch-ratelimit-reset to know when this quota will reset."
}{
"error": "Internal Server Error",
"details": "An unexpected error occurred."
}{
"error": "Service temporarily busy",
"details": "Unable to process request right now. Please retry shortly."
}API Reference
Batch Read Time Logs
Retrieves 1 or many StopWatch Time Log records by their ID(s).
See HubSpot API documentation for the request Body structure and available Query Parameters
POST
/
stopwatch
/
v1
/
timelogs
/
batch
/
read
Batch Read Time Logs
Authorizations
Bearer Authorization header of the form Bearer {token}, where {token} is your API key. By default, each API key is rate-limited to 1,000 requests per day (UTC). If you need a higher daily limit, please submit a support request.
Body
application/json
Show child attributes
Show child attributes
The StopWatch Time Log properties that you'd like included in the response
Example:
[
"a552213_record_id",
"hubspot_owner_id",
"a552213_category_text"
]
The StopWatch Time Log properties that you'd like included in the response, including a changelog history of their values
Example:
[
"a552213_record_id",
"hubspot_owner_id",
"a552213_category_text"
]
If omitted, defaults to hs_object_id. The only other property that can be used here for StopWatch Time Logs is a552213_record_id.
Example:
"a552213_record_id"
⌘I

